Get task status
GET
/v3/orgs/{organization_path}/tasks/{task_id}/status
const url = 'https://api.cardio.ai/v3/orgs/example/tasks/1/status';const options = {method: 'GET', headers: {'X-Api-Token': '<X-Api-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cardio.ai/v3/orgs/example/tasks/1/status \ --header 'X-Api-Token: <X-Api-Token>'Returns creation time, processing state, report availability, and severity level.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” organization_path
required
string
Unique organization path from organization settings.
task_id
required
integer format: uint64
Unique task identifier.
Responses
Section titled “ Responses ”Metadata successfully retrieved.
Media type application/json
Metadata status of a task.
object
creation_time
required
Task creation timestamp in RFC 3339 format.
string format: date-time
processed
required
Indicates whether the task has been processed.
boolean
report_available
required
Indicates whether a review report is available for the task.
boolean
severity
Severity level assigned to the task. Omitted if undefined.
string
Example
{ "severity": "NONE"}Bad Request - missing or invalid parameters.
Media type application/json
string
Example generated
exampleUnauthorized - missing, expired, or invalid token.
Media type application/json
string
Example generated
exampleForbidden - the provided token is not authorized to call this endpoint.
Media type application/json
string
Example generated
exampleNot Found - requested resource does not exist or is unavailable.
Media type application/json
string
Example generated
exampleToo Many Requests - rate limit exceeded.
Media type application/json
string
Example generated
example